<?xml version="1.0" encoding="UTF-8"?>
<!--
/**
 * Copyright © 2016 Filoblu S.r.l. All rights reserved.
 */ 
 -->
<config xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="urn:magento:framework:Api/etc/extension_attributes.xsd">
    <extension_attributes for="Magento\Sales\Api\Data\InvoiceInterface">
        <attribute code="order_increment_id" type="string" />    
        <attribute code="document_type" type="string" />    
        <attribute code="document_pdf" type="string" />  
        <attribute code="capture_case" type="string" />
    </extension_attributes>
    <extension_attributes for="Magento\Sales\Api\Data\ShipmentInterface">
        <attribute code="order_increment_id" type="string" />     
        <attribute code="document_date" type="string" /> 
        <attribute code="document_type" type="string" /> 
        <attribute code="document_number" type="string" /> 
        <attribute code="carrier_code" type="string" /> 
        <attribute code="carrier_title" type="string" />
        <attribute code="final_inventory_source_id" type="string"/>
        <attribute code="send_mail" type="string"/>
    </extension_attributes>    
    <extension_attributes for="Magento\Sales\Api\Data\CreditmemoInterface">
        <attribute code="order_increment_id" type="string" />    
        <attribute code="invoice_increment_id" type="string" />    
        <attribute code="document_type" type="string" />    
        <attribute code="document_pdf" type="string" />    
        <attribute code="refund_online" type="boolean" />    
        <attribute code="payment_fee_amount" type="string" />
        <attribute code="payment_tax_amount" type="string" />
    </extension_attributes>    
</config>